<?php
    // phase()
    $moondata = do_phase( $date, $time, $tzone );

    $MoonPhase	= $moondata[0];
    $MoonIllum	= $moondata[1];
    $MoonAge	= $moondata[2];
    $MoonDist	= $moondata[3];
    $MoonAng	= $moondata[4];
    $SunDist	= $moondata[5];
    $SunAng		= $moondata[6];
        
    
    $percent = $MoonIllum * 100;
    
    if ($percent < '1') { $decimal =  '2'; }
    
    elseif ($percent < '10') {$decimal =  '1';}
    
    else {$decimal =  '0';}
    
    switch (true) {
            
        case ($MoonPhase >= 0.495 && $MoonPhase <= 0.505):
            $phase = "Full Moon";
            break;
        case ($MoonPhase >= 0.505 && $MoonPhase <= 0.745):
            $phase = "Waning Gibbous";
            break;
            
        case ($MoonPhase >= 0.745 && $MoonPhase <= 0.755):
            $phase = "Last Quarter";
            break;
            
        case ($MoonPhase >= 0.755 && $MoonPhase <= 0.995):
            $phase = "Waning Crescent";
            break;
            
        case ($MoonPhase >= 0.995 || $MoonPhase <= 0.05):
            $phase = "New Moon";
            break;
            
        case ($MoonPhase >= 0.05 && $MoonPhase <= 0.245):
            $phase = "Waxing Crescent";
            break;
            
        case ($MoonPhase >= 0.245 && $MoonPhase <= 0.255):
            $phase = "First Quarter";
            break;
            
        case ($MoonPhase >= 0.255 && $MoonPhase <= 0.495):
            $phase = "Waxing Gibbous";
    }
    
    $phase = "<b>" . $phase .'&nbsp@&nbsp' . number_format($percent, $decimal) . "%</b><br>";
    
    // get phase()
    
    function do_phase ( $date, $time, $tzone )  {
        $moondata = phase(strtotime($date . ' ' . $time . ' ' . $tzone));
        return $moondata;
    }
    
    // phaselist() Example
    function do_phaselist( $start, $stop )  {
        $name = array ( "New Moon", "First quarter", "Full moon", "Last quarter" );
        $times = phaselist( $start, $stop );
        $_phase = array();
        foreach ( $times as $time )  {
            
            // First element is the starting phase (see $name).
            if ( $time == $times[0] )  {
                $_phase[] = $name["$times[0]"];
            }
            else  {
                $_phase[] = date("D M j G:i:s T Y", $time);
                
            }
        }
        return $_phase;
    }
    
    ?>
